2018-10-15 08:06 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004945Kali Linux[All Projects] General Bugpublic2018-09-26 22:52
Reporterdodiorne 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version2018.3 
Target VersionFixed in Version2018.4 
Summary0004945: 2018.3 does not allow encrypted persistence on USB
DescriptionUsing the documented steps to create a bootable USB drive with encrypted persistence no longer works with the 2018.3 iso. Following the same steps does work for 2018.2 and earlier.

When selecting the encrypted persistence option at boot user is never prompted for luks password.
Attached Files

-Relationships
+Relationships

-Notes

~0009563

dodiorne (reporter)

Last edited: 2018-08-31 12:35

View 2 revisions

this issue might be related to issue 0004719

~0009565

dodiorne (reporter)

warning noticed during the boot scroll:

unable to load module dm-crypt
cryptesetup is unavailable

~0009614

rhertzog (administrator)

I fixed this with an updated live-build-configuration:
http://git.kali.org/gitweb/?p=live-build-config.git;a=commitdiff;h=cab92ee094babe77ee8b5cc10e2747da9bff3daf

But this will not fix the already released ISO, it will just fix the future daily and weekly ISO.

@elwood, do you think we should update the released ISO with a 2018.3a release?

~0009615

elwood (administrator)

@rhertzog, Yes, its likely best we should do an updated ISO. I think there are enough people that only ever use the release ISOs that if we don't it will cause a lot of issues until the next release.
+Notes

-Issue History
Date Modified Username Field Change
2018-08-30 21:27 dodiorne New Issue
2018-08-31 00:58 elwood Status new => acknowledged
2018-08-31 12:24 dodiorne Note Added: 0009563
2018-08-31 12:35 rhertzog Note Edited: 0009563 View Revisions
2018-08-31 14:04 dodiorne Note Added: 0009565
2018-09-08 09:16 rhertzog Assigned To => rhertzog
2018-09-08 09:16 rhertzog Status acknowledged => resolved
2018-09-08 09:16 rhertzog Resolution open => fixed
2018-09-08 09:16 rhertzog Fixed in Version => 2018.4
2018-09-08 09:16 rhertzog Note Added: 0009614
2018-09-08 17:39 elwood Note Added: 0009615
+Issue History